Bug 101516 - [BAT][BYT] WARN intel_uncore.c:792 __unclaimed_reg_debug (reg 0x18650c)
Summary: [BAT][BYT] WARN intel_uncore.c:792 __unclaimed_reg_debug (reg 0x18650c)
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: high critical
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-20 13:24 UTC by Martin Peres
Modified: 2017-07-06 10:59 UTC (History)
2 users (show)

See Also:
i915 platform: SKL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2017-06-20 13:24:13 UTC
Our two baytrails starting reporting the following warning randomly when running igt@kms_pipe_crc_basic@suspend-read-crc-pipe-b, starting from CI_DRM_2743:

[  502.355408] Unclaimed read from register 0x18650c
[  502.355489] ------------[ cut here ]------------
[  502.355548] WARNING: CPU: 1 PID: 62 at drivers/gpu/drm/i915/intel_uncore.c:792 __unclaimed_reg_debug+0x3e/0x50 [i915]
[  502.355553] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 intel_powerclamp coretemp crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_hda_intel snd_hda_codec snd_hwdep snd_hda_core r8169 mii snd_pcm lpc_ich prime_numbers i2c_hid i2c_designware_platform i2c_designware_core
[  502.355645] CPU: 1 PID: 62 Comm: kworker/u4:1 Tainted: G     U  W       4.12.0-rc6-CI-CI_DRM_2744+ #1
[  502.355649] Hardware name: \xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff \xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff/DN2820FYK, BIOS FYBYT10H.86A.0056.2016.1122.1846 11/22/2016
[  502.355657] Workqueue: events_unbound async_run_entry_fn
[  502.355665] task: ffff880138c38040 task.stack: ffffc900001a4000
[  502.355721] RIP: 0010:__unclaimed_reg_debug+0x3e/0x50 [i915]
[  502.355725] RSP: 0018:ffffc900001a79b0 EFLAGS: 00010082
[  502.355733] RAX: 0000000000000025 RBX: 0000000000000000 RCX: 0000000000000002
[  502.355738] RDX: 0000000000000000 RSI: ffffffff81cba051 RDI: ffffffff81c99767
[  502.355742] RBP: ffffc900001a79c8 R08: 0000000000000000 R09: 0000000000000001
[  502.355746] R10: ffffc900001a7940 R11: 1879041800000000 R12: 000000000018650c
[  502.355750] R13: 0000000000000001 R14: 00000000ffffffff R15: ffff88012b700b98
[  502.355755] FS:  0000000000000000(0000) GS:ffff88013fd00000(0000) knlGS:0000000000000000
[  502.355759] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  502.355764] CR2: 0000000000000000 CR3: 000000011cec8000 CR4: 00000000001006e0
[  502.355768] Call Trace:
[  502.355827]  fwtable_read32+0x278/0x2c0 [i915]
[  502.355888]  vlv_program_pfi_credits+0x6c/0xc0 [i915]
[  502.355946]  vlv_set_cdclk+0x174/0x280 [i915]
[  502.356006]  intel_set_cdclk+0x5d/0x90 [i915]
[  502.356064]  intel_atomic_commit_tail+0xa9f/0xf70 [i915]
[  502.356134]  intel_atomic_commit+0x3fb/0x500 [i915]
[  502.356144]  ? drm_atomic_check_only+0x420/0x560
[  502.356197]  ? intel_runtime_pm_put+0x51/0xa0 [i915]
[  502.356206]  drm_atomic_commit+0x46/0x50
[  502.356215]  drm_atomic_helper_commit_duplicated_state+0xbf/0xd0
[  502.356272]  __intel_display_resume+0x81/0xc0 [i915]
[  502.356331]  intel_display_resume+0xca/0xf0 [i915]
[  502.356391]  i915_pm_restore+0xef/0x190 [i915]
[  502.356442]  i915_pm_resume+0x9/0x10 [i915]
[  502.356449]  pci_pm_resume+0x5f/0x90
[  502.356458]  dpm_run_callback+0x6f/0x330
[  502.356463]  ? pci_pm_thaw+0x90/0x90
[  502.356472]  device_resume+0xac/0x1e0
[  502.356480]  ? dpm_watchdog_set+0x60/0x60
[  502.356492]  async_resume+0x18/0x40
[  502.356498]  async_run_entry_fn+0x34/0x160
[  502.356508]  process_one_work+0x1fe/0x670
[  502.356520]  worker_thread+0x49/0x3b0
[  502.356533]  kthread+0x10f/0x150
[  502.356538]  ? process_one_work+0x670/0x670
[  502.356544]  ? kthread_create_on_node+0x40/0x40
[  502.356550]  ? kthread_create_on_node+0x40/0x40
[  502.356558]  ret_from_fork+0x27/0x40
[  502.356574] Code: de ff ff 38 d8 76 2d 45 84 ed 48 c7 c0 98 d7 20 a0 48 c7 c6 a2 d7 20 a0 48 0f 45 f0 44 89 e2 48 c7 c7 ab d7 20 a0 e8 db 44 04 e1 <0f> ff 83 2d 45 20 12 00 01 5b 41 5c 41 5d 5d c3 66 90 55 48 89 
[  502.356811] ---[ end trace adf55d54b569cff4 ]---
[  502.356849] WARN_ON(dev_priv->uncore.funcs.mmio_readl(dev_priv, (((const i915_reg_t){ .reg = (0x180000 + 0x650C) })), true) & (1 << 27))
[  502.356882] ------------[ cut here ]------------
[  502.356941] WARNING: CPU: 1 PID: 62 at drivers/gpu/drm/i915/intel_cdclk.c:485 vlv_program_pfi_credits+0xb4/0xc0 [i915]
[  502.356946] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 intel_powerclamp coretemp crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_hda_intel snd_hda_codec snd_hwdep snd_hda_core r8169 mii snd_pcm lpc_ich prime_numbers i2c_hid i2c_designware_platform i2c_designware_core
[  502.357044] CPU: 1 PID: 62 Comm: kworker/u4:1 Tainted: G     U  W       4.12.0-rc6-CI-CI_DRM_2744+ #1
[  502.357049] Hardware name: \xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff \xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff\xffffffff/DN2820FYK, BIOS FYBYT10H.86A.0056.2016.1122.1846 11/22/2016
[  502.357055] Workqueue: events_unbound async_run_entry_fn
[  502.357064] task: ffff880138c38040 task.stack: ffffc900001a4000
[  502.357120] RIP: 0010:vlv_program_pfi_credits+0xb4/0xc0 [i915]
[  502.357151] RSP: 0018:ffffc900001a7a18 EFLAGS: 00010296
[  502.357161] RAX: 000000000000007c RBX: ffff88012b700000 RCX: 0000000000000006
[  502.357166] RDX: 0000000000000006 RSI: ffffffff81cba051 RDI: ffffffff81c99767
[  502.357170] RBP: ffffc900001a7a28 R08: 0000000000000000 R09: 0000000000000001
[  502.357175] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000008004000
[  502.357180] R13: ffff88012b704340 R14: 0000000100031680 R15: 0000000000030d40
[  502.357185] FS:  0000000000000000(0000) GS:ffff88013fd00000(0000) knlGS:0000000000000000
[  502.357190] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[  502.357195] CR2: 0000000000000000 CR3: 000000011cec8000 CR4: 00000000001006e0
[  502.357200] Call Trace:
[  502.357260]  vlv_set_cdclk+0x174/0x280 [i915]
[  502.357321]  intel_set_cdclk+0x5d/0x90 [i915]
[  502.357380]  intel_atomic_commit_tail+0xa9f/0xf70 [i915]
[  502.357451]  intel_atomic_commit+0x3fb/0x500 [i915]
[  502.357460]  ? drm_atomic_check_only+0x420/0x560
[  502.357513]  ? intel_runtime_pm_put+0x51/0xa0 [i915]
[  502.357523]  drm_atomic_commit+0x46/0x50
[  502.357532]  drm_atomic_helper_commit_duplicated_state+0xbf/0xd0
[  502.357589]  __intel_display_resume+0x81/0xc0 [i915]
[  502.357649]  intel_display_resume+0xca/0xf0 [i915]
[  502.357709]  i915_pm_restore+0xef/0x190 [i915]
[  502.357761]  i915_pm_resume+0x9/0x10 [i915]
[  502.357768]  pci_pm_resume+0x5f/0x90
[  502.357777]  dpm_run_callback+0x6f/0x330
[  502.357783]  ? pci_pm_thaw+0x90/0x90
[  502.357792]  device_resume+0xac/0x1e0
[  502.357802]  ? dpm_watchdog_set+0x60/0x60
[  502.357814]  async_resume+0x18/0x40
[  502.357821]  async_run_entry_fn+0x34/0x160
[  502.357830]  process_one_work+0x1fe/0x670
[  502.357843]  worker_thread+0x49/0x3b0
[  502.357856]  kthread+0x10f/0x150
[  502.357862]  ? process_one_work+0x670/0x670
[  502.357868]  ? kthread_create_on_node+0x40/0x40
[  502.357876]  ? kthread_create_on_node+0x40/0x40
[  502.357883]  ret_from_fork+0x27/0x40
[  502.357899] Code: 52 00 00 ba 00 40 00 40 41 bc 00 40 00 98 73 97 41 bc 00 00 00 40 eb 88 48 c7 c6 b0 67 22 a0 48 c7 c7 2c e0 20 a0 e8 a5 5a 03 e1 <0f> ff 5b 41 5c 5d c3 0f 1f 44 00 00 55 31 d2 48 89 e5 53 48 83 
[  502.358204] ---[ end trace adf55d54b569cff5 ]---

Full results: 
 - https://intel-gfx-ci.01.org/CI/CI_DRM_2744/fi-byt-n2820/igt@kms_pipe_crc_basic@suspend-read-crc-pipe-b.html
 - https://intel-gfx-ci.01.org/CI/CI_DRM_2743/fi-byt-j1900/igt@kms_pipe_crc_basic@suspend-read-crc-pipe-b.html
Comment 1 Elizabeth 2017-06-20 16:14:23 UTC
Adding tag into "Whiteboard" field - ReadyForDev
*Status is correct
*Platform is included
*Feature is included
*Priority and Severity correctly set
*Logs included
Comment 2 krisman 2017-06-28 03:50:27 UTC
(In reply to Martin Peres from comment #0)
> Our two baytrails starting reporting the following warning randomly when
> running igt@kms_pipe_crc_basic@suspend-read-crc-pipe-b, starting from
> CI_DRM_2743:
> 
> [  502.355408] Unclaimed read from register 0x18650c

For the record, MMIO(650c) is GCI_CONTROL, which is read at vlv_program_pfi_credits.  Specification explains that a MMIO is unclaimable if performed in an address of a powered down power well, so I suppose the same workaround for 101517 should apply here.    

With that in mind, I'm marking this as a DUP of 101517.

*** This bug has been marked as a duplicate of bug 101517 ***
Comment 3 Martin Peres 2017-06-30 07:34:36 UTC
While 101517 indeed got fixed, this one is still very much present.
Comment 4 krisman 2017-06-30 19:52:21 UTC
(In reply to Martin Peres from comment #3)
> While 101517 indeed got fixed, this one is still very much present.

Hi Martin,

Can you please point to the testcase that is still failing with unclaimed register 650c? I am considering that the other "Unclaimed read from register 0x1f0034" is a different bug.
Comment 5 Martin Peres 2017-07-04 08:02:47 UTC
(In reply to krisman from comment #4)
> (In reply to Martin Peres from comment #3)
> > While 101517 indeed got fixed, this one is still very much present.
> 
> Hi Martin,
> 
> Can you please point to the testcase that is still failing with unclaimed
> register 650c? I am considering that the other "Unclaimed read from register
> 0x1f0034" is a different bug.

Sure, it is igt@kms_pipe_crc_basic@suspend-read-crc-pipe-b. You can check out the results here:

https://intel-gfx-ci.01.org/CI/fi-byt-j1900.html
Comment 6 krisman 2017-07-05 14:53:59 UTC
(In reply to Martin Peres from comment #5)
> (In reply to krisman from comment #4)
> > (In reply to Martin Peres from comment #3)
> > > While 101517 indeed got fixed, this one is still very much present.
> > 
> > Hi Martin,
> > 
> > Can you please point to the testcase that is still failing with unclaimed
> > register 650c? I am considering that the other "Unclaimed read from register
> > 0x1f0034" is a different bug.
> 
> Sure, it is igt@kms_pipe_crc_basic@suspend-read-crc-pipe-b. You can check
> out the results here:
> 
> https://intel-gfx-ci.01.org/CI/fi-byt-j1900.html

Thanks for the information,but if I read the data correctly, after CI_2783, I don't see references to Unclaimable register 0x650c, only to other registers around 0x1f0034, which affects other parts of the code (vlv_program_watermarks), and I believe should be addressed in a different bug.  Either way, I'll dig into that issue now.
Comment 7 Martin Peres 2017-07-06 10:59:01 UTC
(In reply to krisman from comment #6)
> (In reply to Martin Peres from comment #5)
> > (In reply to krisman from comment #4)
> > > (In reply to Martin Peres from comment #3)
> > > > While 101517 indeed got fixed, this one is still very much present.
> > > 
> > > Hi Martin,
> > > 
> > > Can you please point to the testcase that is still failing with unclaimed
> > > register 650c? I am considering that the other "Unclaimed read from register
> > > 0x1f0034" is a different bug.
> > 
> > Sure, it is igt@kms_pipe_crc_basic@suspend-read-crc-pipe-b. You can check
> > out the results here:
> > 
> > https://intel-gfx-ci.01.org/CI/fi-byt-j1900.html
> 
> Thanks for the information,but if I read the data correctly, after CI_2783,
> I don't see references to Unclaimable register 0x650c, only to other
> registers around 0x1f0034, which affects other parts of the code
> (vlv_program_watermarks), and I believe should be addressed in a different
> bug.  Either way, I'll dig into that issue now.

You are right. I opened this bug: https://bugs.freedesktop.org/show_bug.cgi?id=101705


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.